个人工具

“QQ”的版本间的差异

来自Ubuntu中文

跳转至: 导航, 搜索
腾讯QQ官方桌面版本(已无法使用)
更多QQ
第86行: 第86行:
 
http://w.qq.com/
 
http://w.qq.com/
  
==更多QQ==
+
==第三方QQ客户端==
 
===eva===
 
===eva===
 
截至目前(2011年7月)为止,eva早就不可以使用了,eva的网址在:
 
截至目前(2011年7月)为止,eva早就不可以使用了,eva的网址在:

2013年1月26日 (六) 19:02的版本

腾讯QQ是Linux中文用户面对的问题之一,最合适的方式是——直接前往链接

一般情况下不推荐使用独立软件版本登录QQ:即忽略下文,

如果你的电脑配置比较好(CPU强大,内存比较多,硬盘比较大,可以看本文第三部分:longene-wine-qq)

登入QQ

官方linux版QQ估计其主要作用是用来打压,luma、eva或其它开源及第三方客户端,当第一个linux测试版发布后,其它第三方客户端纷纷放弃继续开发,之后官方再没有推出过新版linux客户端。

腾讯QQ官方桌面版本(已无法使用)

腾讯已停止该版本使用,用户将无法登录。 腾讯在2008-11-13日发布了 QQ for Linux 1.0 Preview 3

  • 支持和好友传送文件
  • 支持和好友/群发送图片
  • 支持群里截屏并传送截图
  • 聊天设置中,已经可以设定按回车键发送

Qq1.png

DEB安装

官方主页下载 DEB 安装包

http://im.qq.com/qq/linux/download.shtml

Qq.jpg

直接打开就能安装了

命令的安装方式是这样

sudo dpkg -i 文件名.deb

tar.gz安装

下载tar.gz包,解压缩后做个脚本直接用。

解压tar.gz包,终端下面进入目录,输入  ./qq 即可。

脚本

kate新建个文本文件,输入下面内容,路径要自己改,重命名成linuxqq,去掉txt后缀名.

!/bin/sh
#.linuxqq是qq程序所在的目录,替换为你的qq在的目录
cd /home/用户名/文档/linuxqq
./qq 


然后dolphin里右键linuxqq,权限改成“可执行”,以后双击就可以了。

Linuxqq.png

解决qq崩溃问题

sudo gedit /usr/bin/qq

修改为 代码:

#!/bin/sh
export GDK_NATIVE_WINDOWS=true
cd /usr/share/tencent/qq/
./qq

这样QQ就不会崩溃了

webqq

浏览器中使用,主页位于 http://web3.qq.com/

第三版的web QQ支持视频功能,通过Adobe Flash调用摄像头

webqq桌面化

桌面化webqq可实现将webqq最小化到通知区域并且来消息时提示

1.安装google chrome浏览器

2.安装alltray sudo apt-get install alltray

3.新建一个启动器,名称随便,命令为 "/usr/bin/alltray" -t 5 -s /opt/google/chrome/google-chrome --app="http://web.qq.com"

4.若来消息不提示请参考会员wobu的文章 http://forum.ubuntu.org.cn/viewtopic.php?f=73&t=257749&start=0

mini webqq

http://w.qq.com/

第三方QQ客户端

eva

截至目前(2011年7月)为止,eva早就不可以使用了,eva的网址在:

http://sourceforge.net/projects/evaq/

eva已经很久没有更新了,最后一次新版本发布于2006年1月份(Eva 0.4.1)。不过2009年仍有svn活动。

截图如下:

Eva.png

Pidgin

需要在账户管理中设置版本为QQ2008,否则会无法登录或被强制退出。从腾讯官方途径(官方QQ客户端或者WEB版)非正常登出(如系统突然死机重启造成QQ客户端非正常退出)后,再登录Pidgin容易引发腾讯防盗号机制的过敏反应,此时需要激活QQ号。为保证Pidgin的正常工作,请及时更新,并避免从官方客户端非正常退出。 自从旧版QQ协议过期后,原来的OpenQ项目也长期未更新, 所以我打算基于原有LibQQ代码,采用全新的2010版QQ协议 开发出可用的Pidgin下的QQ插件

项目网站: http://libqq-pidgin.googlecode.com

Empathy

在最新的Ubuntu 10.10中带的 Empathy 2.32.0里面,QQ帐号设置和之前的版本一样,需要设置高级选项:client version:qq2005为qq2008就可以正常登录。

(我这里是empathy2.32.1,将version改为qq2008后任然无法登录,提示‘network error’。在Ubuntu12.04中把version改成QQ2012就能登陆了。)

问题

QQ空间乱码

Flash

linuxqq_v1.0.2-beta1_i386.deb [email protected]:~/下载$ sudo dpkg -i linuxqq_v1.0.2-beta1_i386.deb dpkg:处理 linuxqq_v1.0.2-beta1_i386.deb (--install)时出错:

parsing file '/var/lib/dpkg/tmp.ci/control' near line 7 package 'linuxqq':
版本字符串 v1.0.2-beta1 中有错误: version number does not start with digit

在处理时有错误发生:

linuxqq_v1.0.2-beta1_i386.deb


longene-wine-qq

如果你的电脑配置比较好,使用 wine 来运行 QQ 是一个不错的选择。但首先得声明一点:千万不要自己使用 wine 来安装 QQ,这样子会遇到许多 BUG,以致于几乎无法正常使用 QQ。

在此推荐由 longene team 开发的 wine qq,目前(2012年7月)使用 wine 1.4 和 QQ 2012 Beta 2 版本构建。它解决了以下几个常见的 bug:

(1)wine qq 登陆时点击密码框即崩溃,它不会

(2)wine qq 登陆之后马上变成离开状态,它不会

(3)wine qq 很难查看聊天记录,它可以

(4)wine qq 来消息时窗口不会变颜色。它有一个补偿方案,可以弹出系统消息提醒(notify OSD)

(5)wine qq 有时文件传输难以使用,它完全正常

总而言之,除了占用内存比较多之外,基本非常完美

推荐大家在 Ubuntu 12.04 以上的系统上安装,项目地址是:http://www.longene.org/forum/viewtopic.php?f=6&t=4700

此外还有一个对应的 longene wine tm (wine 1.4+ tm3.4),占用资源更小(内存50M左右),更推荐大家使用。网址同上。